# borg undelete

    borg [common options] undelete [options] [NAME]

positional arguments
| `NAME` | specify the archive name
options
| `-n`, `--dry-run` | do not change the repository
| `--list` | output a verbose list of archives
Common options
Archive filters — Archive filters can be applied to repository targets.
| `-a PATTERN`, `--match-archives PATTERN` | only consider archives matching all patterns. See “borg help match-archives”.
| `--sort-by KEYS` | Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp
| `--first N` | consider the first N archives after other filters are applied
| `--last N` | consider the last N archives after other filters are applied
| `--oldest TIMESPAN` | consider archives between the oldest archive’s timestamp and (oldest + TIMESPAN), e.g., 7d or 12m.
| `--newest TIMESPAN` | consider archives between the newest archive’s timestamp and (newest - TIMESPAN), e.g., 7d or 12m.
| `--older TIMESPAN` | consider archives older than (now - TIMESPAN), e.g., 7d or 12m.
| `--newer TIMESPAN` | consider archives newer than (now - TIMESPAN), e.g., 7d or 12m.

## Description

This command undeletes archives in the repository.

Important: Undeleting archives is only possible before compacting. Once `borg compact` has run, all disk space occupied only by the soft-deleted archives will be freed, and undeleting is no longer possible.

When in doubt, use `--dry-run --list` to see what would be undeleted.

You can undelete multiple archives by specifying a match pattern using the `--match-archives PATTERN` option (for more information on these patterns, see borg help patterns).